\name{grid.path}
\alias{grid.path}
\alias{pathGrob}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
  Draw a path.
}
\description{
  These functions create and draw a path, which may consist of several
  sub-paths, which may be nested.
}
\usage{
pathGrob(x = c(0, 0.5, 1, 0.5), y = c(0.5, 1, 0.5, 0),
         id = NULL, id.lengths = NULL,
         default.units = "npc",
         name = NULL, gp = gpar(), vp = NULL)

grid.path(x = c(0, 0.5, 1, 0.5), y = c(0.5, 1, 0.5, 0),
          id = NULL, id.lengths = NULL,
          default.units = "npc",
          name = NULL, gp = gpar(), vp = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{A numeric vector or unit object specifying x-locations.}
  \item{y}{A numeric vector or unit object specifying y-locations.}
  \item{id}{A numeric vector used to separate locations in \code{x} and
    \code{y} into multiple polygons.  All locations with the same
    \code{id} belong to the same polygon.}
  \item{id.lengths}{A numeric vector used to separate locations in \code{x} and
    \code{y} into multiple polygons.  Specifies consecutive blocks of
    locations which make up separate polygons.}
  \item{default.units}{A string indicating the default units to use
    if \code{x}, \code{y}, \code{width}, or \code{height}
    are only given as numeric vectors.}  
  \item{name}{ A character identifier. }
  \item{gp}{An object of class \code{gpar}, typically the output
    from a call to the function \code{gpar}.  This is basically
    a list of graphical parameter settings.}
  \item{vp}{A Grid viewport object (or NULL).}
}
\value{
  A grob object.
}
\author{
  Paul Murrell
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ dplot }
