\name{svgGrobify}
\alias{svgGrobify}
\alias{svgGrobify,ANY-method}
\alias{svgGrobify,PictureFill-method}
\alias{svgGrobify,PictureChar-method}
\title{
  Convert a Picture into Grobs 
}
\description{
  This function is a drop-in replacement for the \code{grobify()}
  function that is provided by the \pkg{grImport} package.
  The difference is that this function uses \code{pathGrob()}
  to create paths from \code{PictureFill} and \code{PictureChar}
  objects (rather than polygons).  The advantage of that is
  that paths with holes are drawn properly.
}
\usage{
svgGrobify(object, ...)
}
\arguments{
  \item{object}{
    Any object derived from the \code{Picture} class.
  }
  \item{\dots}{
    Arguments passed on to \pkg{grid} grob constructor functions.
  }
}
\value{
  A grid gTree (when given a whole \code{"Picture"})
  or an appropriate grid grob (when given a single picture path).
}
\author{ Paul Murrell }
\keyword{ dplot }% at least one, from doc/KEYWORDS
